diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 3a05bec..f501a1b 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -146236,98 +146236,110 @@ RadicalSolvePackage(R): Cat == Capsule where
     Cat ==> with
 
         radicalSolve :     (RF,SY)      -> L EQ RE
-          ++ radicalSolve(rf,x) finds the solutions expressed in terms of
-          ++ radicals of the equation rf = 0 with respect to the symbol x,
-          ++ where rf is a rational function.
+          ++radicalSolve(rf,x) finds the solutions expressed in terms of
+          ++radicals of the equation rf = 0 with respect to the symbol x,
+          ++where rf is a rational function.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X radicalSolve(b,x)
+
         radicalSolve :       RF         -> L EQ RE
-          ++ radicalSolve(rf) finds the solutions expressed in terms of
-          ++ radicals of the equation rf = 0, where rf is a
-          ++ univariate rational function.
+          ++radicalSolve(rf) finds the solutions expressed in terms of
+          ++radicals of the equation rf = 0, where rf is a
+          ++univariate rational function.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X radicalSolve(b)
+
         radicalSolve :    (EQ RF,SY)    -> L EQ RE
-          ++ radicalSolve(eq,x) finds the solutions expressed in terms of
-          ++ radicals of the equation of rational functions eq
-          ++ with respect to the symbol x.
+          ++radicalSolve(eq,x) finds the solutions expressed in terms of
+          ++radicals of the equation of rational functions eq
+          ++with respect to the symbol x.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X radicalSolve(b=0,x)
+
         radicalSolve :      EQ RF       -> L EQ RE
-          ++ radicalSolve(eq) finds the solutions expressed in terms of
-          ++ radicals of the equation of rational functions eq
-          ++ with respect to the unique symbol x appearing in eq.
+          ++radicalSolve(eq) finds the solutions expressed in terms of
+          ++radicals of the equation of rational functions eq
+          ++with respect to the unique symbol x appearing in eq.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X radicalSolve(b=0)
+
         radicalSolve :    (L RF,L SY)   -> L L EQ RE
-          ++ radicalSolve(lrf,lvar) finds the solutions expressed in terms of
-          ++ radicals of the system of equations lrf = 0 with
-          ++ respect to the list of symbols lvar,
+          ++radicalSolve(lrf,lvar) finds the solutions expressed in terms of
+          ++radicals of the system of equations lrf = 0 with
+          ++respect to the list of symbols lvar,
           ++ where lrf is a list of rational functions.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
           ++X radicalSolve([b,c],[x,y])
+
         radicalSolve :       L RF       -> L L EQ RE
-          ++ radicalSolve(lrf) finds the solutions expressed in terms of
-          ++ radicals of the system of equations lrf = 0, where lrf is a
-          ++ system of univariate rational functions.
+          ++radicalSolve(lrf) finds the solutions expressed in terms of
+          ++radicals of the system of equations lrf = 0, where lrf is a
+          ++system of univariate rational functions.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
           ++X radicalSolve([b,c])
+
         radicalSolve :   (L EQ RF,L SY) -> L L EQ RE
-          ++ radicalSolve(leq,lvar) finds the solutions expressed in terms of
-          ++ radicals of the system of equations of rational functions leq
-          ++ with respect to the list of symbols lvar.
+          ++radicalSolve(leq,lvar) finds the solutions expressed in terms of
+          ++radicals of the system of equations of rational functions leq
+          ++with respect to the list of symbols lvar.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
           ++X radicalSolve([b=0,c=0],[x,y])
+
         radicalSolve :     L EQ RF      -> L L EQ RE
-          ++ radicalSolve(leq) finds the solutions expressed in terms of
-          ++ radicals of the system of equations of rational functions leq
-          ++ with respect to the unique symbol x appearing in leq.
+          ++radicalSolve(leq) finds the solutions expressed in terms of
+          ++radicals of the system of equations of rational functions leq
+          ++with respect to the unique symbol x appearing in leq.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
           ++X radicalSolve([b=0,c=0])
+
         radicalRoots :      (RF,SY)     -> L RE
-          ++ radicalRoots(rf,x) finds the roots expressed in terms of radicals
-          ++ of the rational function rf with respect to the symbol x.
+          ++radicalRoots(rf,x) finds the roots expressed in terms of radicals
+          ++of the rational function rf with respect to the symbol x.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X radicalRoots(b,x)
+
         radicalRoots :    (L RF,L SY)   -> L L RE
-          ++ radicalRoots(lrf,lvar) finds the roots expressed in terms of
-          ++ radicals of the list of rational functions lrf
-          ++ with respect to the list of symbols lvar.
+          ++radicalRoots(lrf,lvar) finds the roots expressed in terms of
+          ++radicals of the list of rational functions lrf
+          ++with respect to the list of symbols lvar.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1)
           ++X radicalRoots([b,c],[x,y])
+
         contractSolve:    (EQ RF,SY)  -> SU
-          ++ contractSolve(eq,x) finds the solutions expressed in terms of
-          ++ radicals of the equation of rational functions eq
-          ++ with respect to the symbol x.  The result contains new
-          ++ symbols for common subexpressions in order to reduce the
-          ++ size of the output.
+          ++contractSolve(eq,x) finds the solutions expressed in terms of
+          ++radicals of the equation of rational functions eq
+          ++with respect to the symbol x.  The result contains new
+          ++symbols for common subexpressions in order to reduce the
+          ++size of the output.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X contractSolve(b=0,x)
+
         contractSolve:    (RF,SY)     -> SU
-          ++ contractSolve(rf,x) finds the solutions expressed in terms of
-          ++ radicals of the equation rf = 0 with respect to the symbol x,
-          ++ where rf is a rational function. The result contains  new
-          ++ symbols for common subexpressions in order to reduce the
-          ++ size of the output.
+          ++contractSolve(rf,x) finds the solutions expressed in terms of
+          ++radicals of the equation rf = 0 with respect to the symbol x,
+          ++where rf is a rational function. The result contains  new
+          ++symbols for common subexpressions in order to reduce the
+          ++size of the output.
           ++
           ++X b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13)
           ++X contractSolve(b,x)
+
     Capsule ==> add
         import DegreeReductionPackage(PR, R)
         import SOLVEFOR
diff --git a/buglist b/buglist
index f68c18d..ef795fc 100644
--- a/buglist
+++ b/buglist
@@ -4866,47 +4866,6 @@ typos 40044:
 --->bookvol10.4.pamphlet-->RegularSetDecompositionPackage((printInfo ((Void) (List (Record (: val (List P)) (: tower TS))) N))): Not documented!!!!
 
 =========================================================================
-typos 40043:
-
->compiling SOLVERAD.spad to SOLVERAD.nrlib
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) RF SY))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b,x)"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) RF))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(rf) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0, where \\spad{rf} is a} \\indented{1}{univariate rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b)"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) (EQ RF) SY))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0,x)"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) (EQ RF)))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(eq) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in eq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0)"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L RF) (L SY)))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(lrf,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0 with} \\indented{1}{respect to the list of symbols lvar,} \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c],[x,y])"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L RF)))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(lrf) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0, where \\spad{lrf} is a} \\indented{1}{system of univariate rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c])"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L (EQ RF)) (L SY)))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(leq,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0],[x,y])"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L (EQ RF))))): Improper first word in comments: 
-"\\indented{1}{radicalSolve(leq) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in leq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0])"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalRoots ((L RE) RF SY))): Improper first word in comments: 
-"\\indented{1}{radicalRoots(rf,x) finds the roots expressed in terms of radicals} \\indented{1}{of the rational function \\spad{rf} with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(b,x)"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalRoots ((L (L RE)) (L RF) (L SY)))): Improper first word in comments: 
-"\\indented{1}{radicalRoots(lrf,lvar) finds the roots expressed in terms of} \\indented{1}{radicals of the list of rational functions lrf} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalRoots([b,c],[x,y])"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((contractSolve (SU (EQ RF) SY))): Improper first word in comments: 
-"\\indented{1}{contractSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol x.\\space{2}The result contains new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b=0,x)"
-
---->bookvol10.4.pamphlet-->RadicalSolvePackage((contractSolve (SU RF SY))): Improper first word in comments: 
-"\\indented{1}{contractSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function. The result contains\\space{2}new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b,x)"
-
-=========================================================================
 typos 40040:
 
 >compiling UFPS1.spad to UFPS1.nrlib
@@ -35216,24 +35175,6 @@ Warning: PFO;cmult has a duplicate definition in this file
 
 ============================================================================
 
-   finalizing nrlib SOLVERAD 
-   Warnings: 
-      [1] quadratic: not known that (SIGNATURE ** ($ $ (Fraction (Integer)))) is of mode (CATEGORY domain (IF (has R (IntegralDomain)) (PROGN (ATTRIBUTE (AlgebraicallyClosedFunctionSpace R)) (ATTRIBUTE (TranscendentalFunctionCategory)) (ATTRIBUTE (CombinatorialOpsCategory)) (ATTRIBUTE (LiouvillianFunctionCategory)) (ATTRIBUTE (SpecialFunctionCategory)) (SIGNATURE reduce ($ $)) (SIGNATURE number? ((Boolean) $)) (SIGNATURE simplifyPower ($ $ (Integer))) (IF (has R (GcdDomain)) (PROGN (SIGNATURE factorPolynomial ((Factored (SparseUnivariatePolynomial $)) (SparseUnivariatePolynomial $))) (SIGNATURE squareFreePolynomial ((Factored (SparseUnivariatePolynomial $)) (SparseUnivariatePolynomial $)))) noBranch) (IF (has R (RetractableTo (Integer))) (ATTRIBUTE (RetractableTo (AlgebraicNumber))) noBranch)) noBranch))
-      [2] findGenZeros: not known that (Ring) is of mode (CATEGORY package (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Fraction (Polynomial R)) (Symbol))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Fraction (Polynomial R)))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Equation (Fraction (Polynomial R))) (Symbol))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Equation (Fraction (Polynomial R))))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Fraction (Polynomial R))) (List (Symbol)))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Fraction (Polynomial R))))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Equation (Fraction (Polynomial R)))) (List (Symbol)))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Equation (Fraction (Polynomial R)))))) (SIGNATURE radicalRoots ((List (Expression R)) (Fraction (Polynomial R)) (Symbol))) (SIGNATURE radicalRoots ((List (List (Expression R))) (List (Fraction (Polynomial R))) (List (Symbol)))) (SIGNATURE contractSolve ((SuchThat (List (Expression R)) (List (Equation (Expression R)))) (Equation (Fraction (Polynomial R))) (Symbol))) (SIGNATURE contractSolve ((SuchThat (List (Expression R)) (List (Equation (Expression R)))) (Fraction (Polynomial R)) (Symbol))))
-      [3] findGenZeros: not known that (OrderedSet) is of mode (CATEGORY package (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Fraction (Polynomial R)) (Symbol))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Fraction (Polynomial R)))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Equation (Fraction (Polynomial R))) (Symbol))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Equation (Fraction (Polynomial R))))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Fraction (Polynomial R))) (List (Symbol)))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Fraction (Polynomial R))))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Equation (Fraction (Polynomial R)))) (List (Symbol)))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Equation (Fraction (Polynomial R)))))) (SIGNATURE radicalRoots ((List (Expression R)) (Fraction (Polynomial R)) (Symbol))) (SIGNATURE radicalRoots ((List (List (Expression R))) (List (Fraction (Polynomial R))) (List (Symbol)))) (SIGNATURE contractSolve ((SuchThat (List (Expression R)) (List (Equation (Expression R)))) (Equation (Fraction (Polynomial R))) (Symbol))) (SIGNATURE contractSolve ((SuchThat (List (Expression R)) (List (Equation (Expression R)))) (Fraction (Polynomial R)) (Symbol))))
-      [4] findZeros: not known that (OrderedSet) is of mode (CATEGORY package (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Fraction (Polynomial R)) (Symbol))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Fraction (Polynomial R)))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Equation (Fraction (Polynomial R))) (Symbol))) (SIGNATURE radicalSolve ((List (Equation (Expression R))) (Equation (Fraction (Polynomial R))))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Fraction (Polynomial R))) (List (Symbol)))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Fraction (Polynomial R))))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Equation (Fraction (Polynomial R)))) (List (Symbol)))) (SIGNATURE radicalSolve ((List (List (Equation (Expression R)))) (List (Equation (Fraction (Polynomial R)))))) (SIGNATURE radicalRoots ((List (Expression R)) (Fraction (Polynomial R)) (Symbol))) (SIGNATURE radicalRoots ((List (List (Expression R))) (List (Fraction (Polynomial R))) (List (Symbol)))) (SIGNATURE contractSolve ((SuchThat (List (Expression R)) (List (Equation (Expression R)))) (Equation (Fraction (Polynomial R))) (Symbol))) (SIGNATURE contractSolve ((SuchThat (List (Expression R)) (List (Equation (Expression R)))) (Fraction (Polynomial R)) (Symbol))))
-      [5] radicalRoots:  result has no value
-      [6] solveInner:  solutions has no value
-
---------------non extending category----------------------
-.. SparseUnivariateLaurentSeries(#1,#2,#3) of cat 
-(|Join| (|UnivariateLaurentSeriesConstructorCategory| |#1| (|SparseUnivariateTaylorSeries| |#1| |#2| |#3|)) (CATEGORY |domain| (SIGNATURE |coerce| ($ (|Variable| |#2|))) (SIGNATURE |differentiate| ($ $ (|Variable| |#2|))) (IF (|has| |#1| (|Algebra| (|Fraction| (|Integer|)))) (SIGNATURE |integrate| ($ $ (|Variable| |#2|))) |noBranch|)))    has no  makeSeries : (Reference OrderedCompletion Integer,Stream Record(k: Integer,c: #1)) -> % 
-============================================================================
-
-   finalizing nrlib SULS 
-
-============================================================================
-
    finalizing nrlib ULSCONS 
    Warnings: 
       [1] termsToOutputForm:  l has no value
@@ -40538,3 +40479,44 @@ typos 40022:
 --->bookvol10.3.pamphlet-->Character((alphanumeric? ((Boolean) %))): Missing left brace
 "\\indented{1}{alphanumeric?(c) tests if \\spad{c} is either a letter or number,} \\indented{1}{\\spadignore{i.e.} one of 0..9, a..z or A..Z.} \\blankline \\spad{X} chars \\spad{:=} [char \"a\", char \"A\", char \"X\", char \"8\", char \"+\"] \\spad{X} [alphanumeric? \\spad{c} for \\spad{c} in chars]"
 
+=========================================================================
+typos 40043:
+
+>compiling SOLVERAD.spad to SOLVERAD.nrlib
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) RF SY))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b,x)"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) RF))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(rf) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0, where \\spad{rf} is a} \\indented{1}{univariate rational function.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b)"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) (EQ RF) SY))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0,x)"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (EQ RE)) (EQ RF)))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(eq) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in eq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalSolve(b=0)"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L RF) (L SY)))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(lrf,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0 with} \\indented{1}{respect to the list of symbols lvar,} \\indented{1}{where \\spad{lrf} is a list of rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c],[x,y])"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L RF)))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(lrf) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations \\spad{lrf} = 0, where \\spad{lrf} is a} \\indented{1}{system of univariate rational functions.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b,c])"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L (EQ RF)) (L SY)))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(leq,lvar) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0],[x,y])"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalSolve ((L (L (EQ RE))) (L (EQ RF))))): Improper first word in comments: 
+"\\indented{1}{radicalSolve(leq) finds the solutions expressed in terms of} \\indented{1}{radicals of the system of equations of rational functions leq} \\indented{1}{with respect to the unique symbol \\spad{x} appearing in leq.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalSolve([b=0,c=0])"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalRoots ((L RE) RF SY))): Improper first word in comments: 
+"\\indented{1}{radicalRoots(rf,x) finds the roots expressed in terms of radicals} \\indented{1}{of the rational function \\spad{rf} with respect to the symbol \\spad{x.}} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} radicalRoots(b,x)"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((radicalRoots ((L (L RE)) (L RF) (L SY)))): Improper first word in comments: 
+"\\indented{1}{radicalRoots(lrf,lvar) finds the roots expressed in terms of} \\indented{1}{radicals of the list of rational functions lrf} \\indented{1}{with respect to the list of symbols lvar.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} c:Fraction(Polynomial(Integer)):=(y^2+4)/(y+1) \\spad{X} radicalRoots([b,c],[x,y])"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((contractSolve (SU (EQ RF) SY))): Improper first word in comments: 
+"\\indented{1}{contractSolve(eq,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation of rational functions eq} \\indented{1}{with respect to the symbol x.\\space{2}The result contains new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b=0,x)"
+
+--->bookvol10.4.pamphlet-->RadicalSolvePackage((contractSolve (SU RF SY))): Improper first word in comments: 
+"\\indented{1}{contractSolve(rf,x) finds the solutions expressed in terms of} \\indented{1}{radicals of the equation \\spad{rf} = 0 with respect to the symbol \\spad{x,}} \\indented{1}{where \\spad{rf} is a rational function. The result contains\\space{2}new} \\indented{1}{symbols for common subexpressions in order to reduce the} \\indented{1}{size of the output.} \\blankline \\spad{X} b:Fraction(Polynomial(Integer)):=(3*x^3+7)/(5*x^2-13) \\spad{X} contractSolve(b,x)"
+
diff --git a/changelog b/changelog
index a1ee150..0925c8d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130316 tpd src/axiom-website/patches.html 20130316.02.tpd.patch
+20130316 tpd buglist SOLVERAD fix 40043
+20130316 tpd books/bookvol10.4 SOLVERAD fix 40043
 20130316 tpd src/axiom-website/patches.html 20130316.01.tpd.patch
 20130316 tpd buglist CHAR fix 40022
 20130316 tpd books/bookvol10.3 CHAR fix 40022
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c734287..02903b9 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4071,5 +4071,7 @@ books/bookvol10.3 DFLOAT fixed 40019
 books/bookvol10.2 CLAGG fixed 40021
 <a href="patches/20130316.01.tpd.patch">20130316.01.tpd.patch</a>
 books/bookvol10.3 CHAR fix 40022
+<a href="patches/20130316.02.tpd.patch">20130316.02.tpd.patch</a>
+books/bookvol10.4 SOLVERAD fix 40043
  </body>
 </html>
